<template>
  <div class="change" >
      <div class="top1" > 
         <div v-for="(item,index) in turnlist" :key="index" @click="ensure(item.name)" class="item">{{item.name}}</div> 
      </div>
      <div class="line">
          <div class="hightlight"  :style="{backgroundColor:num==='当前券'?'#333333':'none'}"></div>
          <div class="hightlight1" :style="{backgroundColor:num==='历史券'?'#333333':'none'}"  ></div>
      </div>
      <div class="page" v-if="num==='当前券'">
           <div class="list">
             <div class="nodata" v-if="turnlist[0].data.length===0">暂无可用礼券</div>
              <div class="card" @click="info(item)" v-for="(item,index) in turnlist[0].data" :key="index">
                <div class="left">
                <div class="one">{{item.couponName}}</div>
                <div class="two" v-if="item.couponType === '现金券'">{{item.amount}}满{{item.amountCondition}}可用</div>
                <div class="three" v-if="item.couponType === '折扣券'">{{item.discount}}折</div>
                <div class="four">有效期{{item.startDate}}~{{item.endDate}}</div>
                </div>
                <img :src="status" alt="">
            </div>
          </div>
      </div>  
      <div class="page" v-if="num==='历史券'">
          <div class="list">
             <div class="nodata" v-if="turnlist[1].data.length===0">暂无可用礼券</div>
              <div class="card" @click="info(item)" v-for="(item,index) in turnlist[1].data" :key="index">
                <div class="left">
                <div class="one" :class="{'gray':item.couponStatus === '已过期'}">{{item.couponName}}</div>
                <div class="two" :class="{'gray':item.couponStatus === '已过期'}">{{item.amount}}满{{item.amountCondition}}可用</div>
                <div class="three" :class="{'gray':item.couponStatus === '已过期'}">{{item.discount}}折</div>
                <div class="four" :class="{'gray':item.couponStatus === '已过期'}">有效期{{item.startDate}}~{{item.endDate}}</div>
                </div>
                <img :src="use" alt="" v-if="item.couponStatus === '已使用'">
                <img :src="overdue" alt="" v-if="item.couponStatus === '已过期'">
            </div>
          </div>
      </div>    
      </div>
      
</template>

<script type="text/ecmascript-6" >
  import config from '@/config'
  export default {
    data(){
      return{
        list:[],
        num:'当前券',
        status:config.url +'status.png',
        use:config.url +'use.png',
        overdue:config.url +'overdue.png'
      }
    },

    props:{
        turnlist:{
        default(){
          return{
            name:'',
            data:[]
          }
        }
      }
      
    },
    methods:{
        info(item){
          config.href(config.mycard.cardinfo+'?couponId='+item.couponId +'&couponNo='+ item.couponNo + '&couponStatus=' +item.couponStatus);
        },
        ensure(data){
            console.log('1',data);
            if(data === '当前券'){
                this.num = '当前券';
                console.log('当前券');
            }
             if(data === '历史券'){
                this.num = '历史券';
                console.log('历史券');
            }
            

        },
      
    },

  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
.change{
    width: 100%;
    position: fixed;
    top: 1rem;
    .top1{
       display: flex;
       border-bottom: 1px solid #D2D2D3;
       div{
         width: 49%;
         text-align: center;
         height: 0.8rem;
         line-height: 0.8rem;
         font-size:0.28rem;
         color:#727171;

       }
     }
     .line{
         display: flex;
         width:6rem;
         margin:0 0.8rem;
     }
     .hightlight,.hightlight1{
            height: 0.01rem;
            // background-color: #000;
            width: 2.1rem;
         }
         .hightlight1{
            margin-left:1.56rem;
            
      }
      .list{
            .nodata{
              color: #000;
              opacity: 0.4;
              margin-top: 1.44rem;
              margin-left: 2.7rem;
              font-size: 0.22rem;
            }
            .card{
            width: 5.86rem;
            height: 2rem;
            margin: 0.24rem 0.82rem;
            background: #E4E4E4;
            padding-top:0.18rem;
            display:flex;
            img{
              position: absolute;
              width: 0.79rem;
              height: 0.79rem;
              right: 0.85rem;
              margin-top:-0.18rem;
              
            }
            .left{
              .one{
                  font-size: 0.3rem;
                  color: #FF7C10;
                  margin: 0.18rem 0.4rem;
              }
              .two,.three{
                    font-size: 0.28rem;
                   color:#727171;
                   margin: 0.18rem 0.4rem;
              }
              .four{
                  font-size: 0.24rem;
                   color:#727171;
                   margin: 0.18rem 0.4rem;
              }

            }
            
          }
          .gray{
            color:#000 !important;
            opacity:0.2;
          }
         }


    
    

}
  
</style>
